/*
 * Class STRING_8_SEARCHER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_356 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_356 [] = {0xFF01,1551,355,0xFFFF};
static const EIF_TYPE_INDEX egt_2_356 [] = {0xFF01,355,0xFFFF};
static const EIF_TYPE_INDEX egt_3_356 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_356 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_356 [] = {0xFF01,355,0xFFFF};
static const EIF_TYPE_INDEX egt_6_356 [] = {0xFF01,355,0xFFFF};
static const EIF_TYPE_INDEX egt_7_356 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_356 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_356 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_356 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_356 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_356 [] = {0xFF01,355,0xFFFF};
static const EIF_TYPE_INDEX egt_13_356 [] = {0xFF01,912,0xFFFF};
static const EIF_TYPE_INDEX egt_14_356 [] = {1670,869,0xFFFF};
static const EIF_TYPE_INDEX egt_15_356 [] = {0xFF01,1668,869,0xFFFF};
static const EIF_TYPE_INDEX egt_16_356 [] = {1547,0xFF01,1668,869,0xFFFF};


static const struct desc_info desc_356[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_356), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_356), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_356), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_356), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_356), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_356), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_356), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_356), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_356), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_356), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_356), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_356), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x02C7 /*355*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_356), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6535, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6536, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_356), 6548, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6549, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6537, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6550, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_356), 6539, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6551, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_356), 6540, 0},
	{EIF_GENERIC(egt_16_356), 6541, 4},
	{EIF_GENERIC(NULL), 6542, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6543, 0xFFFFFFFF},
};
void Init356(void)
{
	IDSC(desc_356, 0, 355);
	IDSC(desc_356 + 1, 1, 355);
	IDSC(desc_356 + 32, 1279, 355);
}


#ifdef __cplusplus
}
#endif
